- content_for :page_title do
  = site_hostname

- content_for :header_tags do
  = javascript_pack_tag 'public', crossorigin: 'anonymous'
  = render partial: 'shared/og'

.grid-4
  .column-0
    .public-account-header.public-account-header--no-bar
      .public-account-header__image
        = image_tag @instance_presenter.hero&.file&.url || @instance_presenter.thumbnail&.file&.url || asset_pack_path('media/images/preview.jpg'), alt: @instance_presenter.site_title, class: 'parallax'

  .column-1
    .landing-page__call-to-action{ dir: 'ltr' }
      .row
        .row__information-board
          .information-board__section
            %span= t 'about.user_count_before'
            %strong= friendly_number_to_human @instance_presenter.user_count
            %span= t 'about.user_count_after', count: @instance_presenter.user_count
          .information-board__section
            %span= t 'about.status_count_before'
            %strong= friendly_number_to_human @instance_presenter.status_count
            %span= t 'about.status_count_after', count: @instance_presenter.status_count
        .row__mascot
          .landing-page__mascot
            = image_tag @instance_presenter.mascot&.file&.url || asset_pack_path('media/images/elephant_ui_plane.svg'), alt: ''

  .column-2
    .contact-widget
      %h4= t 'about.administered_by'

      = account_link_to(@instance_presenter.contact_account)

      - if @instance_presenter.site_contact_email.present?
        %h4
          = succeed ':' do
            = t 'about.contact'

        = link_to @instance_presenter.site_contact_email, @instance_presenter.site_contact_email

  .column-3
    = render 'application/flashes'

    - if @contents.blank? && @rules.empty? && (!display_blocks? || @blocks&.empty?)
      = nothing_here
    - else
      .box-widget
        .rich-formatting
          - unless @rules.empty?
            %h2#rules= t('about.rules')

            %p= t('about.rules_html')

            %ol.rules-list
              - @rules.each do |rule|
                %li
                  .rules-list__text= rule.text

          = @contents.html_safe

          - if display_blocks? && !@blocks.empty?
            %h2#unavailable-content= t('about.unavailable_content')

            %p= t('about.unavailable_content_html')

            - if (blocks = @blocks.select(&:reject_media?)) && !blocks.empty?
              %h3= t('about.unavailable_content_description.rejecting_media_title')
              %p= t('about.unavailable_content_description.rejecting_media')
              = render partial: 'domain_blocks', locals: { domain_blocks: blocks }
            - if (blocks = @blocks.select(&:silence?)) && !blocks.empty?
              %h3= t('about.unavailable_content_description.silenced_title')
              %p= t('about.unavailable_content_description.silenced')
              = render partial: 'domain_blocks', locals: { domain_blocks: blocks }
            - if (blocks = @blocks.select(&:suspend?)) && !blocks.empty?
              %h3= t('about.unavailable_content_description.suspended_title')
              %p= t('about.unavailable_content_description.suspended')
              = render partial: 'domain_blocks', locals: { domain_blocks: blocks }

  .column-4
    %ul.table-of-contents
      - unless @rules.empty?
        %li= link_to t('about.rules'), '#rules'

      - @table_of_contents.each do |item|
        %li
          = link_to item.title, "##{item.anchor}"

          - unless item.children.empty?
            %ul
              - item.children.each do |sub_item|
                %li= link_to sub_item.title, "##{sub_item.anchor}"

      - if display_blocks? && !@blocks.empty?
        %li= link_to t('about.unavailable_content'), '#unavailable-content'
